Package org.eclipse.microprofile.openapi.tck

# Class OASScanConfigTests.ScanConfigExcludeOnly

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.openapi.tck.AppTestBase
org.eclipse.microprofile.openapi.tck.OASScanConfigTests.ScanConfigExcludeOnly

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

Enclosing class:
  OASScanConfigTests

public static class OASScanConfigTests.ScanConfigExcludeOnly extends AppTestBase

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`YAML_FILTER`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`ScanConfigExcludeOnly()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deployment()`
`void`
`testExcludeOnly(String type)`

### Methods inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`callEndpoint, configureRestAssured, dereference, dereference, provide`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScanConfigExcludeOnly

public ScanConfigExcludeOnly()

## Method Details

### deployment

@Deployment(testable=false) public static org.jboss.shrinkwrap.api.spec.WebArchive deployment()

### testExcludeOnly

public void testExcludeOnly(String type)